Skip to main content
POST

Authorizations

X-API-Key
string
header
required

Path Parameters

entityId
string
required

WhatsApp Business Phone Number ID that owns the Meta Business Agent.

Body

application/json
url
string
required
Minimum string length: 1
included_sub_domains
string[]

Subdomains to include in the website crawl. Omit this field to leave it unspecified. Send [] to clear it.

included_url_patterns
string[]

URL patterns to include in the website crawl. Omit this field to leave it unspecified. Send [] to clear it.

excluded_sub_domains
string[]

Subdomains to exclude from the website crawl. Omit this field to leave it unspecified. Send [] to clear it.

excluded_url_patterns
string[]

URL patterns to exclude from the website crawl. Omit this field to leave it unspecified. Send [] to clear it.

single_urls
string[]

Individual URLs to include in the website source. Omit this field to leave it unspecified. Send [] to clear it.

Response

Operation completed successfully.

id
string
required

Website resource ID.

url
string
required

Source website URL.

crawl_status
string

Current Meta crawl state.

pages_crawled
integer<int32>

Number of pages Meta has processed.

last_crawled_at
integer<int64>

Most recent crawl timestamp.

created_at
integer<int64>

Resource creation timestamp.

included_sub_domains
string[]

Subdomains included in the website crawl, when returned by Meta.

included_url_patterns
string[]

URL patterns included in the website crawl, when returned by Meta.

excluded_sub_domains
string[]

Subdomains excluded from the website crawl, when returned by Meta.

excluded_url_patterns
string[]

URL patterns excluded from the website crawl, when returned by Meta.

single_urls
string[]

Individual URLs included in the website source, when returned by Meta.

crawl_error
string

Optional crawl error reported by Meta; an empty string is preserved.